package com.xs.core.controller.user;

import cn.dev33.satoken.annotation.SaIgnore;
import cn.dev33.satoken.stp.SaTokenInfo;
import com.alibaba.fastjson2.JSON;
import com.xs.core.model.user.req.AppLoginReq;
import io.swagger.v3.oas.annotations.Operation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/login")
public class LoginController {
    @SaIgnore
    @PostMapping("/coinLogin")
    @Operation(summary = "tg账号登录", description = "根据tg用户id进行登录")
    public AppLoginReq coinLogin(@Validated @RequestBody AppLoginReq req) {
        log.info(JSON.toJSONString(req));
        return req;
    }
}
